<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="8b58daba-b979-4e25-9211-ae1b5daed24c" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/../gradle/.idea/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/.idea/gradle.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/.idea/modules.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/uebung-01/build.gradle" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/uebung-01/code.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../gradle/uebung-02/build.gradle" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/encodings.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/out/production/testing/fuzz.bat" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcher.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcher.java" beforeDir="false" afterPath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcher.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcherFuzzTest.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcherFuzzTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/AufgabeEmailMatcher/EmailMatcherFuzzTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeEmailMatcher/ExampleMatcher.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/AufgabeUserRegistration/EmailMatcher.java" beforeDir="false" afterPath="$PROJECT_DIR$/AufgabeUserRegistration/EmailMatcher.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/testing.iml" beforeDir="false" afterPath="$PROJECT_DIR$/testing.iml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 1
}</component>
  <component name="ProjectId" id="2o7Ha53qsIzLXvN7m9IjC7BvDQt" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Batch.fuzz.executor&quot;: &quot;Run&quot;,
    &quot;Downloaded.Files.Path.Enabled&quot;: &quot;false&quot;,
    &quot;Repository.Attach.Annotations&quot;: &quot;false&quot;,
    &quot;Repository.Attach.JavaDocs&quot;: &quot;false&quot;,
    &quot;Repository.Attach.Sources&quot;: &quot;false&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;git-widget-placeholder&quot;: &quot;main&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/Jan-Niclas Loosen/Documents/Projekte/softwaretechnik_II/testing&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.0&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Jan-Niclas Loosen\Documents\Projekte\softwaretechnik_II\testing\jars" />
      <recent name="C:\Users\Jan-Niclas Loosen\Documents\Projekte\softwaretechnik_II\testing\AufgabeEmailMatcher" />
      <recent name="C:\Users\Jan-Niclas Loosen\Documents\Projekte\softwaretechnik_II\testing\AufgabeUserRegistration" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\Jan-Niclas Loosen\Documents\Projekte\softwaretechnik_II\testing\AufgabeEmailMatcher\reports" />
      <recent name="C:\Users\Jan-Niclas Loosen\Documents\Projekte\softwaretechnik_II\testing\AufgabeEmailMatcher\" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="fuzz" type="BatchConfigurationType" factoryName="Batch" temporary="true">
      <module name="testing" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="WORKING_DIRECTORY" value="./AufgabeEmailMatcher" />
      <option name="PARENT_ENVS" value="true" />
      <option name="SCRIPT_NAME" value="fuzz.bat" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Batch.fuzz" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9823dce3aa75-28b599e66164-intellij.indexing.shared.core-IU-242.23339.11" />
        <option value="bundled-js-predefined-d6986cc7102b-5c90d61e3bab-JavaScript-IU-242.23339.11" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8b58daba-b979-4e25-9211-ae1b5daed24c" name="Changes" comment="" />
      <created>1730213753923</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1730213753923</updated>
      <workItem from="1730213754948" duration="5609000" />
      <workItem from="1730800417513" duration="6972000" />
      <workItem from="1730814043728" duration="248000" />
      <workItem from="1730821844612" duration="4675000" />
      <workItem from="1730832348993" duration="331000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>